Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.App/JsonInterfaceForm.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.App/JsonInterfaceForm.cs	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.App/JsonInterfaceForm.cs	(revision 17828)
@@ -37,4 +37,5 @@
       this.configOpenButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Open;
       this.outputOpenButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Save;
+      this.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
     }
 
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.App/Runner.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.App/Runner.cs	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.App/Runner.cs	(revision 17828)
@@ -33,5 +33,7 @@
         WriteResultsToFile(outputFile, optimizer, configuredResultItem);
       } catch (Exception e) {
+        Console.Error.WriteLine($"{e.Message} \n\n\n\n {e.StackTrace}");
         File.WriteAllText(outputFile, e.Message + "\n\n\n\n" + e.StackTrace);
+        Environment.Exit(-1);
       }
     }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/FileManager.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/FileManager.cs	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/FileManager.cs	(revision 17828)
@@ -26,6 +26,10 @@
       IStorableContent content = view.Content as IStorableContent;
       if (!view.Locked && content != null) {
-        exportDialog.Content = content;
-        exportDialog.ShowDialog();
+        if(content is IOptimizer) {
+          exportDialog.Content = content;
+          exportDialog.ShowDialog();
+        } else {
+          MessageBox.Show("This cannot item cannot be converted.", "Unsupported Item", MessageBoxButtons.OK);
+        }
       }
     }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/HeuristicLab.JsonInterface.OptimizerIntegration.csproj
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/HeuristicLab.JsonInterface.OptimizerIntegration.csproj	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/HeuristicLab.JsonInterface.OptimizerIntegration.csproj	(revision 17828)
@@ -95,4 +95,16 @@
       <DependentUpon>Resources.resx</DependentUpon>
     </Compile>
+    <Compile Include="Shared\ArrayJsonItemControl.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Shared\ArrayJsonItemControl.Designer.cs">
+      <DependentUpon>ArrayJsonItemControl.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Shared\CompoundControl.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Shared\CompoundControl.Designer.cs">
+      <DependentUpon>CompoundControl.cs</DependentUpon>
+    </Compile>
     <Compile Include="Shared\JsonItemBaseControl.cs">
       <SubType>UserControl</SubType>
@@ -101,4 +113,10 @@
       <DependentUpon>JsonItemBaseControl.cs</DependentUpon>
     </Compile>
+    <Compile Include="Shared\MatrixJsonItemControl.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Shared\MatrixJsonItemControl.Designer.cs">
+      <DependentUpon>MatrixJsonItemControl.cs</DependentUpon>
+    </Compile>
     <Compile Include="Shared\NumericRangeControl.cs">
       <SubType>UserControl</SubType>
@@ -108,4 +126,5 @@
     </Compile>
     <Compile Include="ViewModels\ArrayValueVM.cs" />
+    <Compile Include="ViewModels\ConcreteRestrictedJsonItemVM.cs" />
     <Compile Include="ViewModels\DoubleVMs.cs" />
     <Compile Include="ViewModels\IntVMs.cs" />
@@ -132,50 +151,8 @@
     </Compile>
     <Compile Include="FileManager.cs" />
-    <Compile Include="Views\JsonItemConcreteItemArrayControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\JsonItemConcreteItemArrayControl.Designer.cs">
-      <DependentUpon>JsonItemConcreteItemArrayControl.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\JsonItemMultiValueControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\JsonItemMultiValueControl.Designer.cs">
-      <DependentUpon>JsonItemMultiValueControl.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\JsonItemBoolControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\JsonItemBoolControl.Designer.cs">
-      <DependentUpon>JsonItemBoolControl.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\JsonItemRangeControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\JsonItemRangeControl.Designer.cs">
-      <DependentUpon>JsonItemRangeControl.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\JsonItemValueControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\JsonItemValueControl.Designer.cs">
-      <DependentUpon>JsonItemValueControl.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\JsonItemValidValuesControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\JsonItemValidValuesControl.Designer.cs">
-      <DependentUpon>JsonItemValidValuesControl.cs</DependentUpon>
-    </Compile>
     <Compile Include="MenuItems\ImportJsonTemplateMenuItem.cs" />
     <Compile Include="MenuItems\ExportJsonTemplateMenuItem.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="Views\LookupJsonItemControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\LookupJsonItemControl.Designer.cs">
-      <DependentUpon>LookupJsonItemControl.cs</DependentUpon>
-    </Compile>
     <Compile Include="Views\ValueLookupJsonItemControl.cs">
       <SubType>UserControl</SubType>
@@ -232,7 +209,16 @@
       <LastGenOutput>Resources.Designer.cs</LastGenOutput>
     </EmbeddedResource>
+    <EmbeddedResource Include="Shared\ArrayJsonItemControl.resx">
+      <DependentUpon>ArrayJsonItemControl.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Shared\CompoundControl.resx">
+      <DependentUpon>CompoundControl.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Shared\JsonItemBaseControl.resx">
       <DependentUpon>JsonItemBaseControl.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Shared\MatrixJsonItemControl.resx">
+      <DependentUpon>MatrixJsonItemControl.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Shared\NumericRangeControl.resx">
       <DependentUpon>NumericRangeControl.cs</DependentUpon>
@@ -243,25 +229,4 @@
     <EmbeddedResource Include="Views\ExportJsonDialog.resx">
       <DependentUpon>ExportJsonDialog.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\JsonItemConcreteItemArrayControl.resx">
-      <DependentUpon>JsonItemConcreteItemArrayControl.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\JsonItemMultiValueControl.resx">
-      <DependentUpon>JsonItemMultiValueControl.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\JsonItemBoolControl.resx">
-      <DependentUpon>JsonItemBoolControl.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\JsonItemRangeControl.resx">
-      <DependentUpon>JsonItemRangeControl.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\JsonItemValueControl.resx">
-      <DependentUpon>JsonItemValueControl.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\JsonItemValidValuesControl.resx">
-      <DependentUpon>JsonItemValidValuesControl.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Views\LookupJsonItemControl.resx">
-      <DependentUpon>LookupJsonItemControl.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Views\ValueLookupJsonItemControl.resx">
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ArrayJsonItemControl.Designer.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ArrayJsonItemControl.Designer.cs	(revision 17828)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ArrayJsonItemControl.Designer.cs	(revision 17828)
@@ -0,0 +1,111 @@
+﻿
+namespace HeuristicLab.JsonInterface.OptimizerIntegration {
+  partial class ArrayJsonItemControl {
+    /// <summary> 
+    /// Erforderliche Designervariable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Verwendete Ressourcen bereinigen.
+    /// </summary>
+    /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Vom Komponenten-Designer generierter Code
+
+    /// <summary> 
+    /// Erforderliche Methode für die Designerunterstützung. 
+    /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+      this.groupBox2 = new System.Windows.Forms.GroupBox();
+      this.tableLayoutPanel2 = new System.Windows.Forms.TableLayoutPanel();
+      this.checkBoxResizable = new System.Windows.Forms.CheckBox();
+      this.tableLayoutPanel1.SuspendLayout();
+      this.groupBox2.SuspendLayout();
+      this.tableLayoutPanel2.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // tableLayoutPanel1
+      // 
+      this.tableLayoutPanel1.ColumnCount = 1;
+      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
+      this.tableLayoutPanel1.Controls.Add(this.groupBox2, 0, 0);
+      this.tableLayoutPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tableLayoutPanel1.Location = new System.Drawing.Point(0, 0);
+      this.tableLayoutPanel1.Name = "tableLayoutPanel1";
+      this.tableLayoutPanel1.RowCount = 2;
+      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 41F));
+      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
+      this.tableLayoutPanel1.Size = new System.Drawing.Size(526, 41);
+      this.tableLayoutPanel1.TabIndex = 24;
+      // 
+      // groupBox2
+      // 
+      this.groupBox2.Controls.Add(this.tableLayoutPanel2);
+      this.groupBox2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.groupBox2.Location = new System.Drawing.Point(0, 0);
+      this.groupBox2.Margin = new System.Windows.Forms.Padding(0);
+      this.groupBox2.Name = "groupBox2";
+      this.groupBox2.Size = new System.Drawing.Size(526, 41);
+      this.groupBox2.TabIndex = 19;
+      this.groupBox2.TabStop = false;
+      this.groupBox2.Text = "Array Properties";
+      // 
+      // tableLayoutPanel2
+      // 
+      this.tableLayoutPanel2.ColumnCount = 1;
+      this.tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
+      this.tableLayoutPanel2.Controls.Add(this.checkBoxResizable, 0, 0);
+      this.tableLayoutPanel2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tableLayoutPanel2.Location = new System.Drawing.Point(3, 16);
+      this.tableLayoutPanel2.Margin = new System.Windows.Forms.Padding(0);
+      this.tableLayoutPanel2.Name = "tableLayoutPanel2";
+      this.tableLayoutPanel2.RowCount = 1;
+      this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100F));
+      this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+      this.tableLayoutPanel2.Size = new System.Drawing.Size(520, 22);
+      this.tableLayoutPanel2.TabIndex = 22;
+      // 
+      // checkBoxResizable
+      // 
+      this.checkBoxResizable.AutoSize = true;
+      this.checkBoxResizable.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.checkBoxResizable.Location = new System.Drawing.Point(0, 0);
+      this.checkBoxResizable.Margin = new System.Windows.Forms.Padding(0);
+      this.checkBoxResizable.Name = "checkBoxResizable";
+      this.checkBoxResizable.Size = new System.Drawing.Size(520, 22);
+      this.checkBoxResizable.TabIndex = 4;
+      this.checkBoxResizable.Text = "Resizable";
+      this.checkBoxResizable.UseVisualStyleBackColor = true;
+      // 
+      // ArrayJsonItemControl
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tableLayoutPanel1);
+      this.Name = "ArrayJsonItemControl";
+      this.Size = new System.Drawing.Size(526, 41);
+      this.tableLayoutPanel1.ResumeLayout(false);
+      this.groupBox2.ResumeLayout(false);
+      this.tableLayoutPanel2.ResumeLayout(false);
+      this.tableLayoutPanel2.PerformLayout();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
+    private System.Windows.Forms.GroupBox groupBox2;
+    private System.Windows.Forms.TableLayoutPanel tableLayoutPanel2;
+    private System.Windows.Forms.CheckBox checkBoxResizable;
+  }
+}
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ArrayJsonItemControl.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ArrayJsonItemControl.cs	(revision 17828)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ArrayJsonItemControl.cs	(revision 17828)
@@ -0,0 +1,16 @@
+﻿using System.Windows.Forms;
+
+namespace HeuristicLab.JsonInterface.OptimizerIntegration {
+  public partial class ArrayJsonItemControl : UserControl {
+
+    public ArrayJsonItemControl() {
+      InitializeComponent();
+    }
+
+    public static ArrayJsonItemControl Create(IJsonItemVM vm) {
+      var control = new ArrayJsonItemControl();
+      control.checkBoxResizable.DataBindings.Add("Checked", vm, nameof(IArrayJsonItemVM.Resizable));
+      return control;
+    }
+  }
+}
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/CompoundControl.Designer.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/CompoundControl.Designer.cs	(revision 17828)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/CompoundControl.Designer.cs	(revision 17828)
@@ -0,0 +1,60 @@
+﻿
+namespace HeuristicLab.JsonInterface.OptimizerIntegration {
+  partial class CompoundControl {
+    /// <summary> 
+    /// Erforderliche Designervariable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Verwendete Ressourcen bereinigen.
+    /// </summary>
+    /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Vom Komponenten-Designer generierter Code
+
+    /// <summary> 
+    /// Erforderliche Methode für die Designerunterstützung. 
+    /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+      this.SuspendLayout();
+      // 
+      // tableLayoutPanel1
+      // 
+      this.tableLayoutPanel1.ColumnCount = 1;
+      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
+      this.tableLayoutPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tableLayoutPanel1.Location = new System.Drawing.Point(0, 0);
+      this.tableLayoutPanel1.Margin = new System.Windows.Forms.Padding(0);
+      this.tableLayoutPanel1.Name = "tableLayoutPanel1";
+      this.tableLayoutPanel1.RowCount = 2;
+      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
+      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
+      this.tableLayoutPanel1.Size = new System.Drawing.Size(526, 22);
+      this.tableLayoutPanel1.TabIndex = 0;
+      // 
+      // CompoundControl
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tableLayoutPanel1);
+      this.Margin = new System.Windows.Forms.Padding(0);
+      this.Name = "CompoundControl";
+      this.Size = new System.Drawing.Size(526, 22);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
+  }
+}
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/CompoundControl.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/CompoundControl.cs	(revision 17828)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/CompoundControl.cs	(revision 17828)
@@ -0,0 +1,41 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+namespace HeuristicLab.JsonInterface.OptimizerIntegration {
+  public partial class CompoundControl : UserControl {
+    private UserControl _topControl;
+    public UserControl TopControl {
+      get => _topControl;
+      set {
+        value.Margin = new Padding() { All = 0 };
+        tableLayoutPanel1.Controls.Add(value, 0, 0);
+        value.Dock = DockStyle.Fill;
+        _topControl = value;
+      } 
+    }
+
+    private UserControl _bottomControl;
+    public UserControl BottomControl {
+      get => _bottomControl;
+      set {
+        value.Margin = new Padding() { All = 0 };
+        tableLayoutPanel1.Controls.Add(value, 0, 0);
+        value.Dock = DockStyle.Fill;
+        _bottomControl = value;
+      }
+    }
+    public CompoundControl() {
+      InitializeComponent();
+    }
+
+    public static CompoundControl Create(UserControl top, UserControl bottom) 
+      => new CompoundControl() { TopControl = top, BottomControl = bottom };
+  }
+}
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ConcreteItemsRestrictor.Designer.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ConcreteItemsRestrictor.Designer.cs	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/ConcreteItemsRestrictor.Designer.cs	(revision 17828)
@@ -25,4 +25,6 @@
     private void InitializeComponent() {
       this.tableOptions = new System.Windows.Forms.TableLayoutPanel();
+      this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.groupBox1.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -36,10 +38,23 @@
       this.tableOptions.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 20F));
       this.tableOptions.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tableOptions.Location = new System.Drawing.Point(0, 0);
+      this.tableOptions.Location = new System.Drawing.Point(3, 16);
+      this.tableOptions.Margin = new System.Windows.Forms.Padding(0);
       this.tableOptions.Name = "tableOptions";
       this.tableOptions.RowCount = 1;
       this.tableOptions.RowStyles.Add(new System.Windows.Forms.RowStyle());
-      this.tableOptions.Size = new System.Drawing.Size(500, 200);
+      this.tableOptions.Size = new System.Drawing.Size(494, 181);
       this.tableOptions.TabIndex = 13;
+      // 
+      // groupBox1
+      // 
+      this.groupBox1.Controls.Add(this.tableOptions);
+      this.groupBox1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.groupBox1.Location = new System.Drawing.Point(0, 0);
+      this.groupBox1.Margin = new System.Windows.Forms.Padding(0);
+      this.groupBox1.Name = "groupBox1";
+      this.groupBox1.Size = new System.Drawing.Size(500, 200);
+      this.groupBox1.TabIndex = 0;
+      this.groupBox1.TabStop = false;
+      this.groupBox1.Text = "Allowed Items";
       // 
       // ConcreteItemsRestrictor
@@ -47,8 +62,9 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.tableOptions);
+      this.Controls.Add(this.groupBox1);
       this.Margin = new System.Windows.Forms.Padding(0);
       this.Name = "ConcreteItemsRestrictor";
       this.Size = new System.Drawing.Size(500, 200);
+      this.groupBox1.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -58,4 +74,5 @@
 
     private System.Windows.Forms.TableLayoutPanel tableOptions;
+    private System.Windows.Forms.GroupBox groupBox1;
   }
 }
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/JsonItemBaseControl.Designer.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/JsonItemBaseControl.Designer.cs	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/JsonItemBaseControl.Designer.cs	(revision 17828)
@@ -30,8 +30,6 @@
       this.tableLayoutPanel5 = new System.Windows.Forms.TableLayoutPanel();
       this.textBoxDescription = new System.Windows.Forms.TextBox();
-      this.checkBoxActive = new System.Windows.Forms.CheckBox();
       this.label1 = new System.Windows.Forms.Label();
       this.labelDescription = new System.Windows.Forms.Label();
-      this.labelEnable = new System.Windows.Forms.Label();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tableLayoutPanel1.SuspendLayout();
@@ -48,6 +46,6 @@
       this.textBoxName.Dock = System.Windows.Forms.DockStyle.Fill;
       this.errorProvider.SetIconAlignment(this.textBoxName, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.textBoxName.Location = new System.Drawing.Point(100, 25);
-      this.textBoxName.Margin = new System.Windows.Forms.Padding(0);
+      this.textBoxName.Location = new System.Drawing.Point(100, 2);
+      this.textBoxName.Margin = new System.Windows.Forms.Padding(0, 2, 0, 0);
       this.textBoxName.Name = "textBoxName";
       this.textBoxName.Size = new System.Drawing.Size(394, 20);
@@ -65,8 +63,6 @@
       this.tableLayoutPanel1.Name = "tableLayoutPanel1";
       this.tableLayoutPanel1.RowCount = 2;
-      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 75F));
+      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 50F));
       this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100F));
-      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
-      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
       this.tableLayoutPanel1.Size = new System.Drawing.Size(494, 594);
       this.tableLayoutPanel1.TabIndex = 16;
@@ -77,20 +73,17 @@
       this.tableLayoutPanel5.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 100F));
       this.tableLayoutPanel5.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
-      this.tableLayoutPanel5.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 20F));
-      this.tableLayoutPanel5.Controls.Add(this.textBoxDescription, 1, 2);
-      this.tableLayoutPanel5.Controls.Add(this.textBoxName, 1, 1);
-      this.tableLayoutPanel5.Controls.Add(this.checkBoxActive, 1, 0);
-      this.tableLayoutPanel5.Controls.Add(this.label1, 0, 1);
-      this.tableLayoutPanel5.Controls.Add(this.labelDescription, 0, 2);
-      this.tableLayoutPanel5.Controls.Add(this.labelEnable, 0, 0);
+      this.tableLayoutPanel5.Controls.Add(this.textBoxDescription, 1, 1);
+      this.tableLayoutPanel5.Controls.Add(this.textBoxName, 1, 0);
+      this.tableLayoutPanel5.Controls.Add(this.label1, 0, 0);
+      this.tableLayoutPanel5.Controls.Add(this.labelDescription, 0, 1);
       this.tableLayoutPanel5.Dock = System.Windows.Forms.DockStyle.Fill;
       this.tableLayoutPanel5.Location = new System.Drawing.Point(0, 0);
       this.tableLayoutPanel5.Margin = new System.Windows.Forms.Padding(0);
       this.tableLayoutPanel5.Name = "tableLayoutPanel5";
-      this.tableLayoutPanel5.RowCount = 3;
-      this.tableLayoutPanel5.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
-      this.tableLayoutPanel5.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
-      this.tableLayoutPanel5.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
-      this.tableLayoutPanel5.Size = new System.Drawing.Size(494, 75);
+      this.tableLayoutPanel5.RowCount = 1;
+      this.tableLayoutPanel5.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 50F));
+      this.tableLayoutPanel5.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 50F));
+      this.tableLayoutPanel5.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+      this.tableLayoutPanel5.Size = new System.Drawing.Size(494, 50);
       this.tableLayoutPanel5.TabIndex = 17;
       // 
@@ -98,5 +91,5 @@
       // 
       this.textBoxDescription.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.textBoxDescription.Location = new System.Drawing.Point(100, 52);
+      this.textBoxDescription.Location = new System.Drawing.Point(100, 27);
       this.textBoxDescription.Margin = new System.Windows.Forms.Padding(0, 2, 0, 0);
       this.textBoxDescription.Name = "textBoxDescription";
@@ -104,20 +97,9 @@
       this.textBoxDescription.TabIndex = 14;
       // 
-      // checkBoxActive
-      // 
-      this.checkBoxActive.AutoSize = true;
-      this.checkBoxActive.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.checkBoxActive.Location = new System.Drawing.Point(100, 0);
-      this.checkBoxActive.Margin = new System.Windows.Forms.Padding(0);
-      this.checkBoxActive.Name = "checkBoxActive";
-      this.checkBoxActive.Size = new System.Drawing.Size(394, 25);
-      this.checkBoxActive.TabIndex = 2;
-      this.checkBoxActive.UseVisualStyleBackColor = true;
-      // 
       // label1
       // 
       this.label1.AutoSize = true;
       this.label1.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.label1.Location = new System.Drawing.Point(0, 25);
+      this.label1.Location = new System.Drawing.Point(0, 0);
       this.label1.Margin = new System.Windows.Forms.Padding(0);
       this.label1.Name = "label1";
@@ -131,5 +113,5 @@
       this.labelDescription.AutoSize = true;
       this.labelDescription.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.labelDescription.Location = new System.Drawing.Point(0, 50);
+      this.labelDescription.Location = new System.Drawing.Point(0, 25);
       this.labelDescription.Margin = new System.Windows.Forms.Padding(0);
       this.labelDescription.Name = "labelDescription";
@@ -138,16 +120,4 @@
       this.labelDescription.Text = "Description";
       this.labelDescription.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
-      // 
-      // labelEnable
-      // 
-      this.labelEnable.AutoSize = true;
-      this.labelEnable.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.labelEnable.Location = new System.Drawing.Point(0, 0);
-      this.labelEnable.Margin = new System.Windows.Forms.Padding(0);
-      this.labelEnable.Name = "labelEnable";
-      this.labelEnable.Size = new System.Drawing.Size(100, 25);
-      this.labelEnable.TabIndex = 3;
-      this.labelEnable.Text = "Enable";
-      this.labelEnable.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
       // 
       // JsonItemBaseControl
@@ -170,6 +140,4 @@
     #endregion
     protected System.Windows.Forms.ErrorProvider errorProvider;
-    protected System.Windows.Forms.Label labelEnable;
-    protected System.Windows.Forms.CheckBox checkBoxActive;
     protected System.Windows.Forms.TextBox textBoxName;
     protected System.Windows.Forms.Label label1;
Index: /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/JsonItemBaseControl.cs
===================================================================
--- /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/JsonItemBaseControl.cs	(revision 17827)
+++ /branches/3026_IntegrationIntoSymSpace/HeuristicLab.JsonInterface.OptimizerIntegration/Shared/JsonItemBaseControl.cs	(revision 17828)
@@ -26,13 +26,13 @@
       InitializeComponent();
       VM = vm;
-      control.Margin = new Padding() { All = 0 };
-      tableLayoutPanel1.Controls.Add(control, 0, 1);
-      control.Dock = DockStyle.Fill;
+      if(control != null) {
+        control.Margin = new Padding() { All = 0 };
+        tableLayoutPanel1.Controls.Add(control, 0, 1);
+        control.Dock = DockStyle.Fill;
+      }
       Init();
     }
 
     private void Init() {
-      checkBoxActive.DataBindings.Add("Checked", VM, nameof(IJsonItemVM.Selected),
-        false, DataSourceUpdateMode.OnPropertyChanged);
       textBoxName.DataBindings.Add("Text", VM, nameof(IJsonItemVM.Name));
       textBoxDescription.DataBindings.Add("Text", VM, nameof(IJsonItemVM.Description));
